Webhooks
Update webhook settings
Updates account-level webhook URL, signing secret, and/or enabled events.
PUT
/v1/webhooksAuthorization
bearerAuth AuthorizationBearer <token>
Use an account API key in the Authorization header: Authorization: Bearer f_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
webhook_url?string
webhook_signing_secret?string
webhook_enabled_events?array<string>
curl -X PUT "https://example.com/v1/webhooks" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "webhook_url": "string", "webhook_signing_secret": "string", "webhook_enabled_events": [ "string" ] }}{ "error": { "type": "invalid_request_error", "code": "invalid_flow", "message": "Flow validation failed" }, "details": [ { "path": "nodes[1].data.variants[0].id", "code": "invalid_variant_id", "message": "Email variants must have a stable UUID id." } ]}{ "error": { "type": "authentication_error", "code": "invalid_api_key", "message": "A valid Furnace API key is required" }}{ "error": { "type": "rate_limit_error", "code": "rate_limit_exceeded", "message": "Rate limit exceeded for this account" }}{ "error": { "type": "api_error", "code": "internal_error", "message": "Internal server error" }}